#
# maintainer: Philip Müller <philm[at]manjaro[dog]org>
# maintainer: Roland Singer <roland[at]manjaro[dog]org>

pkgbase=mhwd
pkgname=('mhwd' 'mhwd-db')
pkgver=0.6.5
pkgrel=14
pkgdesc="Manjaro Linux Hardware Detection"
arch=('x86_64')
url="https://gitlab.com/croco-os"
license=('GPL')
depends=('gcc-libs' 'hwinfo')
makedepends=('git' 'cmake')
source=(git+https://gitlab.com/croco-os/applications/mhwd.git
        git+https://gitlab.com/croco-os/applications/mhwd-db.git)
sha256sums=('SKIP'
            'SKIP')

build() {
  cd $pkgname

  if [ -e "$srcdir"/../mhwd-$pkgver-$pkgrel.patch ]; then
     patch -Np1 -i "$srcdir"/../mhwd-$pkgver-$pkgrel.patch
  fi

  cmake ./
  make all
}

package_mhwd() {
  pkgdesc="Manjaro Linux Hardware Detection library and application"
  depends=('hwinfo' 'mesa' 'mhwd-db' 'v86d' 'pacman')
  if [ "${CARCH}" = "x86_64" ]; then
     optdepends=('lib32-mesa: for 32bit libgl support')
  fi
  install=mhwd.install

  cd $pkgname

  make DESTDIR="$pkgdir" install
  install -d -m755 "$pkgdir"/var/lib/mhwd/{db,local}/{pci,usb}
}

package_mhwd-db() {
  pkgdesc="Manjaro Linux Hardware Detection Database"
  arch=('i686' 'x86_64')
  depends=('libnotify' 'mhwd-nvidia-390xx' 'mhwd-amdgpu' 'mhwd-ati')
  #depends_x86_64=('mhwd-nvidia>=455')
  install=mhwd-db.install

  cd $pkgname

  if [ -e "$srcdir"/../mhwd-db-$pkgver-$pkgrel.patch ]; then
     patch -Np1 -i "$srcdir"/../mhwd-db-$pkgver-$pkgrel.patch
  fi

  mkdir -p "$pkgdir"/var/lib/mhwd/db
  mkdir -p "$pkgdir"/etc/X11/mhwd.d

  #bash generate
  cp -r pci "$pkgdir"/var/lib/mhwd/db/
  # cp -r usb "$pkgdir"/var/lib/mhwd/db/
}
